Mailboxes

Revoke a mailbox grant

Removes a member's access to a mailbox. View request and response details for this Samva email API endpoint.

DELETE
/v1/mailboxes/{id}/grants/{grantId}

Removes a member's access to a mailbox. The last grant that can configure the mailbox cannot be revoked, so a mailbox is never left with nobody able to administer it: grant a teammate the admin role before removing your own.

x-api-key<token>

In: header

Path Parameters

id*string
Match^mbx_[0-9a-hjkmnp-tv-z]{16,24}$
grantId*string
Match^mbxacl_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/mailboxes/string/grants/string"
{  "success": true}

Related documentation